After February 20th 2018, all embed and API requests to strawpoll.me must use a secure connection (https).

Would you be in favor of updated, more modern looking skillcapes (level 99, not 120)?

Results